Subject: Re: [PATCH 3/6] doc: notes: split out options with negations

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 May 2025 06:14:17 -0700

Junio C Hamano <[email-masked]> writes:

> [email-masked] writes:
>
>> -`--[no-]separator`::
>>  `--separator=<paragraph-break>`::
>> +`--separator`::
>> +`--no-separator`::
>>  	Specify a string used as a custom inter-paragraph separator
>>  	(a newline is added at the end as needed). If `--no-separator`, no
>>  	separators will be added between paragraphs.  Defaults to a blank
>>  	line.
>
> OK.
>
>> -`--[no-]stripspace`::
>> +`--stripspace`::
>> +`--no-stripspace`::
>>  	Strip leading and trailing whitespace from the note message.
>>  	Also strip out empty lines other than a single line between
>>  	paragraphs. Lines starting with `#` will be stripped out
>
> Together with the post context lines, it is unclear what the default
> behaviour is for the command.  It is not a new problem, but
> hopefully the remaining 3 patches I haven't read would address it?

I guess this was left unresolved after the series, but it is
perfectly fine to leave it outside the topic.  Somebody else may
want to look into how exactly stripspace behaviour works by default
and how this option affects [*] and document it here.

[Footnote]

 * IIRC, we made the default to strip, unless the message came from
   an existing note in which case it is left intact; but whoever
   does the documentation update should check it.